Skip to main content
PATCH
/
v1
/
namespace
/
{namespaceId}
TypeScript
import { Agentset } from "agentset";

const agentset = new Agentset({ apiKey: 'agentset_xxx' });

const updatedNamespace = await agentset.namespaces.update("ns_xxx", {
  name: "Updated Knowledge Base",
});
console.log(updatedNamespace);
{
  "success": true,
  "data": {
    "id": "<string>",
    "name": "<string>",
    "slug": "<string>",
    "organizationId": "<string>",
    "createdAt": "<string>",
    "embeddingConfig": {
      "provider": "<string>",
      "apiKey": "<string>"
    },
    "vectorStoreConfig": {
      "provider": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentset.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Default authentication mechanism

Path Parameters

namespaceId
string
required

The id of the namespace (prefixed with ns_)

Example:

"ns_123"

Body

application/json
name
string
Required string length: 1 - 64
slug
string
Required string length: 2 - 48

Response

The updated namespace

success
boolean
required
data
Namespace · object
required